/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

.search-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 0.6rem;
  padding-left: 2rem;
  border-radius: 999px;
  background-color: @white;
  filter: drop-shadow(1px 1px 3px @header-toolbar-search-bar-shadow-color);
  color: @search-bar-color;
  background-color: @search-bar-bg;

  input {
    width: 100%;
    height: 2rem;
    margin-right: 1rem;
    border: none;
    outline: none;
    background: transparent;
    font-weight: normal;
  }

  button {
    .reset-button;
    display: flex;
    flex-grow: 1;
    flex-shrink: 0;
    align-items: center;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    color: @search-bar-bg;
    background-color: @brand-primary;

    i {
      width: 100%;
    }
  }
}

